#!./perl

#	@(#)sybperl.t	1.1	9/22/94

print "1..21\n";

BEGIN {unshift @INC, "../../lib";}

require 'sybperl.pl';

# This test file is still under construction...

( ($dbproc = &dblogin()) != -1 )
    and print("ok 1\n")		# 
    or die "not ok 1
-- You may need to edit t/sybperl.t to add login names and passwords\n";

( &dbuse($dbproc, 'master') == $SUCCEED )
    and print("ok 2\n")
    or print "not ok 2\n";

(&dbcmd($dbproc, "select count(*) from systypes") == $SUCCEED)
    and print("ok 3\n")
    or print "not ok 3\n";
(&dbsqlexec($dbproc) == $SUCCEED)
    and print("ok 4\n")
    or print "not ok 4\n";
(&dbresults($dbproc) == $SUCCEED)
    and print("ok 5\n")
    or print "not ok 5\n";
($count) = &dbnextrow($dbproc);
($DBstatus == $REG_ROW)
    and print "ok 6\n"
    or print "not ok 6\n";
&dbnextrow($dbproc);
($DBstatus == $NO_MORE_ROWS)
    and print "ok 7\n"
    or print "not ok 7\n";
(&dbresults($dbproc) == $NO_MORE_RESULTS)
    and print("ok 8\n")
    or print "not ok 8\n";

(&dbcmd($dbproc, "select * from systypes") == $SUCCEED)
    and print("ok 9\n")
    or print "not ok 9\n";
(&dbsqlexec($dbproc) == $SUCCEED)
    and print("ok 10\n")
    or print "not ok 10\n";
(&dbresults($dbproc) == $SUCCEED)
    and print("ok 11\n")
    or print "not ok 11\n";
while(&dbnextrow($dbproc))
{
    $rows++;
    ($DBstatus == $REG_ROW)
	and print("ok 12\n")
	    or print "not ok 12\n"; # 
}

($count == $rows)
    and print "ok 13\n"
    or print "not ok 13\n";

# Now we make a syntax error, to test the callbacks:

(&dbcmd($dbproc, "select * from systypes\nwhere") == $SUCCEED)
    and print("ok 14\n")
    or print "not ok 14\n";
(&dbsqlexec($dbproc) == &FAIL)
    and print("ok 15\n")
    or print "not ok 15\n";

# Test for the use of a default dbproc:

( ($dbproc2 = &dblogin()) != -1 )
    and print("ok 16\n")
    or print "not ok 16
-- You may need to edit t/sybperl.t to add login names and passwords\n";

( &dbuse($dbproc2, 'tempdb') == $SUCCEED )
    and print("ok 17\n")
    or print "not ok 17\n";

# use the default (first opened) dbproc)
(&dbcmd("select count(*) from systypes") == $SUCCEED)
    and print("ok 18\n")
    or print "not ok 18\n";
(&dbsqlexec() == $SUCCEED)
    and print("ok 19\n")
    or print "not ok 19\n";
(&dbresults() == $SUCCEED)
    and print("ok 20\n")
    or print "not ok 20\n";
($rows) = &dbnextrow();

($count == $rows)
    and print "ok 21\n"
    or print "not ok 21\n";

&dbexit();
